Method: networks.liveStreams.batchUpdate

Batch updates LiveStream objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/liveStreams:batchUpdate

Path parameters

Parameters
parent

string

Required. The parent resource where LiveStreams will be updated. Format: networks/{networkCode} The parent field in the UpdateLiveStreamRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (UpdateLiveStreamRequest)
    }
  ]
}
Fields
requests[]

object (UpdateLiveStreamRequest)

Required. The LiveStream objects to update. A maximum of 100 objects can be updated in a batch.

Response body

Response object for liveStreams.batchUpdate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "liveStreams": [
    {
      object (LiveStream)
    }
  ]
}
Fields
liveStreams[]

object (LiveStream)

The LiveStream objects updated.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

UpdateLiveStreamRequest

Request object for liveStreams.patch method.

JSON representation
{
  "liveStream": {
    object (LiveStream)
  },
  "updateMask": string
}
Fields
liveStream

object (LiveStream)

Required. The LiveStream to update.

The LiveStream's name is used to identify the LiveStream to update.

updateMask

string (FieldMask format)

Optional. The list of fields to update.

This is a comma-separated list of fully qualified names of fields. Example: "user.displayName,photo".